<?php

namespace App\Libraries\DeleteData\SoftwareSettings;

use App\Libraries\DeleteData\DeleteData;
use Modules\Term\Models\TermModel;

class Term extends DeleteData
{
    public function __construct()
    {
        $this->title = 'Ticket Terms and Condition';
        $this->model = new TermModel;
        $this->model->select('*');
    }

    public function deleteCallback(string $table, array $deleteData = [])
    {

        $db = \Config\Database::connect();

        if ($table == 'term') {
            $this->model->where('company_id', $companyId)->delete();
        }
    }
}
